public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/async-container/
Date: Mon,  3 Apr 2023 00:47:51 +0000 (UTC)	[thread overview]
Message-ID: <1680482786.b2571b4fb95265c895c9af02ef04b509c7fdd6be.sam@gentoo> (raw)

commit:     b2571b4fb95265c895c9af02ef04b509c7fdd6be
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Apr  2 23:08:11 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Apr  3 00:46:26 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b2571b4f

dev-ruby/async-container: enable ruby32

Signed-off-by: Sam James <sam <AT> gentoo.org>

 .../async-container-0.16.12-r1.ebuild              | 42 ++++++++++++++++++++++
 1 file changed, 42 insertions(+)

diff --git a/dev-ruby/async-container/async-container-0.16.12-r1.ebuild b/dev-ruby/async-container/async-container-0.16.12-r1.ebuild
new file mode 100644
index 000000000000..e024fdd63fee
--- /dev/null
+++ b/dev-ruby/async-container/async-container-0.16.12-r1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Abstract container-based parallelism using threads and processes"
+HOMEPAGE="https://github.com/socketry/async-container"
+SRC_URI="https://github.com/socketry/async-container/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend "dev-ruby/async
+	dev-ruby/async-io"
+
+ruby_add_bdepend "test? (
+	dev-ruby/bundler
+	>=dev-ruby/async-rspec-1.1:1
+)"
+
+all_ruby_prepare() {
+	sed -i -E 's/require_relative "(.+)"/require File.expand_path("\1")/g' "${RUBY_FAKEGEM_GEMSPEC}" || die
+
+	# spec/async/container/notify/pipe_spec.rb directly executes "bundler" command,
+	# so we can't just wipe out gems.rb as usual.  also must remove covered from gemspec
+	# for this reason.
+	sed -i -E 's/gem ".+"//g' "gems.rb" || die
+	sed -i -e '/spec.add_development_dependency "covered"/ s:^:#:' ${RUBY_FAKEGEM_GEMSPEC} || die
+
+	# Avoid test dependency on unpackaged covered
+	sed -i -e '/covered/ s:^:#:' spec/spec_helper.rb || die
+}


             reply	other threads:[~2023-04-03  0:47 UTC|newest]

Thread overview: 27+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-04-03  0:47 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-01 10:00 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/async-container/ Hans de Graaff
2024-07-13  9:54 Arthur Zamarin
2024-07-13  8:28 Arthur Zamarin
2024-03-29  7:08 Hans de Graaff
2024-03-27  6:36 Hans de Graaff
2024-03-14  5:48 Hans de Graaff
2024-02-25  9:01 Hans de Graaff
2024-02-23  6:39 Hans de Graaff
2023-10-24  9:30 Arthur Zamarin
2023-07-12 19:55 Hans de Graaff
2023-07-04 20:19 Sam James
2023-04-11 17:52 Jakov Smolić
2023-04-09  2:34 Sam James
2023-04-07  8:39 Sam James
2023-04-07  8:39 Sam James
2023-04-07  8:36 Sam James
2023-04-03  3:17 Sam James
2023-04-03  3:17 Sam James
2023-04-03  3:17 Sam James
2022-12-05 20:03 Arthur Zamarin
2022-12-01  4:03 Sam James
2022-12-01  4:03 Sam James
2022-12-01  4:03 Sam James
2022-12-01  2:04 Sam James
2022-10-23 10:01 Hans de Graaff
2022-10-22 21:33 Matt Turner

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1680482786.b2571b4fb95265c895c9af02ef04b509c7fdd6be.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox